Bug 1059671 - usb_modeswitch-2.3.0 is available
Summary: usb_modeswitch-2.3.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: romal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1319931 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 10:38 UTC by Upstream Release Monitoring
Modified: 2016-05-07 11:39 UTC (History)
3 users (show)

Fixed In Version: usb_modeswitch-2.3.0-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:39:59 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 2.2.2 (#1059671) (1.14 KB, text/x-diff)
2015-06-28 01:37 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.2.3 (#1059671) (1.14 KB, text/x-diff)
2015-06-30 01:38 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.2.4 (#1059671) (1.14 KB, text/x-diff)
2015-07-15 00:17 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.2.5 (#1059671) (1.14 KB, text/x-diff)
2015-07-17 00:18 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.2.6 (#1059671) (1.01 KB, patch)
2015-11-02 00:21 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.3.0 (#1059671) (1.01 KB, patch)
2016-01-13 12:18 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-01-30 10:38:17 UTC
Latest upstream release: 2.1.0
Current version/release in Fedora Rawhide: 2.0.1-1.fc21
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Account closed by the user 2014-01-30 21:08:27 UTC
Changelog:

Version 2.1.0, 2014/01/28
    ATTENTION: -I flag meaning reversed, default is to skip SCSI inquiry;
    introduction of StandardEject, replacing many MessageContents with the
    same function, reducing size of device config files, and always including
    the 'Allow Medium Removal' before ejecting (thanks to Lars Melin for
    the idea); fix in "bulk_read", removing bogus CSW request (report from
    "Sonya@zte")

Comment 2 Upstream Release Monitoring 2014-03-30 11:17:53 UTC
Latest upstream release: 2.1.1
Current version/release in Fedora Rawhide: 2.0.1-1.fc21
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Account closed by the user 2014-03-30 11:29:40 UTC
(In reply to Upstream Release Monitoring from comment #2)
> Latest upstream release: 2.1.1
> Current version/release in Fedora Rawhide: 2.0.1-1.fc21

Version 2.1.1, 2014/03/27
    Code cleanup, better use of libusb1; this also fixes problems with
    determination of the active USB configuration (Samsung, Option modems);
    "Interface" parameter was not working as expected, fixed (see also:
    https://bugs.launchpad.net/bugs/1261923 ); fixed bogus interface release
    in "inquire" function, again a report by "Sonya@zte"
Version 2.1.0, 2014/01/28
    ATTENTION: -I flag meaning reversed, default is to skip SCSI inquiry;
    introduction of StandardEject, replacing many MessageContents with the
    same function, reducing size of device config files, and always including
    the 'Allow Medium Removal' before ejecting (thanks to Lars Melin for
    the idea); fix in "bulk_read", removing bogus CSW request (report from
    "Sonya@zte")
Version 2.0.1, 2013/09/03 ... (in Fedora)


ping!

Comment 4 Account closed by the user 2014-04-24 15:36:27 UTC
(In reply to Xose Vazquez Perez from comment #3)
> (In reply to Upstream Release Monitoring from comment #2)
> > Latest upstream release: 2.1.1
> > Current version/release in Fedora Rawhide: 2.0.1-1.fc21
 
> ping!

DONE: http://koji.fedoraproject.org/koji/buildinfo?buildID=511329

-thanks-

Comment 5 Upstream Release Monitoring 2014-05-30 14:38:57 UTC
Latest upstream release: 2.2.0
Current version/release in Fedora Rawhide: 2.1.1-1.fc21
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Account closed by the user 2014-08-13 14:19:07 UTC
(In reply to Upstream Release Monitoring from comment #5)

> Latest upstream release: 2.2.0
> Current version/release in Fedora Rawhide: 2.1.1-1.fc21

http://www.draisberghof.de/usb_modeswitch/ChangeLog

Version 2.2.0, 2014/05/29
    Introduction of parameter "HuaweiNewMode", wrapping the standard bulk
    message for all newer Huawei devices; support for generic fall-back
    config files, combined with OS switch (per vendor ID), implementation
    to use a specific switching command on Android for all Huawei devices
    (see README of data package for details); this change was suggested
    by Huawei.

Comment 7 Account closed by the user 2015-01-06 00:34:22 UTC
(In reply to Upstream Release Monitoring from comment #5)

> Latest upstream release: 2.2.0
> Current version/release in Fedora Rawhide: 2.1.1-1.fc21
> URL: http://www.draisberghof.de/usb_modeswitch/

DONE: http://koji.fedoraproject.org/koji/buildinfo?buildID=570847

Comment 8 Upstream Release Monitoring 2015-01-19 10:48:41 UTC
Latest upstream release: 2.2.1
Current version/release in Fedora Rawhide: 2.2.0-1.fc22
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 9 Account closed by the user 2015-01-19 15:10:56 UTC
(In reply to Upstream Release Monitoring from comment #8)

> Latest upstream release: 2.2.1
> Current version/release in Fedora Rawhide: 2.2.0-1.fc22
> URL: http://www.draisberghof.de/usb_modeswitch/

Version 2.2.1, 2015/01/15
    Fixed unreliable switching function for Cisco AM10

Comment 10 Upstream Release Monitoring 2015-02-22 16:31:11 UTC
pbrobinson's usb_modeswitch-2.2.1-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=614069

Comment 11 Upstream Release Monitoring 2015-06-19 04:54:18 UTC
ausil's usb_modeswitch-2.2.1-2.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=662014

Comment 12 Upstream Release Monitoring 2015-06-28 01:37:12 UTC
Latest upstream release: 2.2.2
Current version/release in rawhide: 2.2.1-2.fc23
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 13 Upstream Release Monitoring 2015-06-28 01:37:35 UTC
Created attachment 1043987 [details]
[patch] Update to 2.2.2 (#1059671)

Comment 14 Upstream Release Monitoring 2015-06-28 01:42:01 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10231973

Comment 15 Account closed by the user 2015-06-29 14:01:14 UTC
(In reply to Upstream Release Monitoring from comment #12)

> Latest upstream release: 2.2.2
> Current version/release in rawhide: 2.2.1-2.fc23

Version 2.2.2, 2015/06/27
    Added catch for libusb init error (thanks, Henrik Gustafsson); removed
    global function result variable; added catch for USB configuration
    read error (both thanks to "otila"); fixed wrapper script where port
    search for symlinking modem port was broken ("/dev/gsmmodem"); changed
    PantechMode parameter to represent different targets; added global
    config option to disable MBIM checking and setting alltogether (request
    from "kai"); changed udev sh script so that systemd processing takes
    precedence over upstart; changed systemd template unit parameter to
    avoid escaping problems

Comment 16 Upstream Release Monitoring 2015-06-30 01:37:48 UTC
Latest upstream release: 2.2.3
Current version/release in rawhide: 2.2.1-2.fc23
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2015-06-30 01:38:09 UTC
Created attachment 1044505 [details]
[patch] Update to 2.2.3 (#1059671)

Comment 18 Upstream Release Monitoring 2015-06-30 01:43:02 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10245056

Comment 19 Account closed by the user 2015-06-30 07:26:15 UTC
(In reply to Upstream Release Monitoring from comment #16)

> Latest upstream release: 2.2.3
> Current version/release in rawhide: 2.2.1-2.fc23

Version 2.2.3, 2015/06/29
    Fixed problem arising with systemd version 221 (220 untested), which
    affects starting the usb_modeswitch systemd unit from the sh script
    (reported by Archlinux users)

Comment 20 Upstream Release Monitoring 2015-07-15 00:17:25 UTC
Latest upstream release: 2.2.4
Current version/release in rawhide: 2.2.1-2.fc23
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 21 Upstream Release Monitoring 2015-07-15 00:17:47 UTC
Created attachment 1052134 [details]
[patch] Update to 2.2.4 (#1059671)

Comment 22 Upstream Release Monitoring 2015-07-15 00:22:33 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10358681

Comment 23 Account closed by the user 2015-07-15 09:28:07 UTC
(In reply to Upstream Release Monitoring from comment #20)

> Latest upstream release: 2.2.4
> Current version/release in rawhide: 2.2.1-2.fc23

History of USB_ModeSwitch
=========================

Version 2.2.4, 2015/07/14
    Fixed buggy check of USB configuration selection (possibly leading
    to segfault), tested with Alcatel X602D; removed call to 'libusb_strerror'
    from libusb initialization - not available in earlier libusb1 versions
Version 2.2.3, 2015/06/29
    Fixed problem arising with systemd version 221 (220 untested), which
    affects starting the usb_modeswitch systemd unit from the sh script
    (reported by Archlinux users)
Version 2.2.2, 2015/06/27
    Added catch for libusb init error (thanks, Henrik Gustafsson); removed
    global function result variable; added catch for USB configuration
    read error (both thanks to "otila"); fixed wrapper script where port
    search for symlinking modem port was broken ("/dev/gsmmodem"); changed
    PantechMode parameter to represent different targets; added global
    config option to disable MBIM checking and setting alltogether (request
    from "kai"); changed udev sh script so that systemd processing takes
    precedence over upstart; changed systemd template unit parameter to
    avoid escaping problems
[...]

Comment 24 Upstream Release Monitoring 2015-07-17 00:18:14 UTC
Latest upstream release: 2.2.5
Current version/release in rawhide: 2.2.1-2.fc23
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 25 Upstream Release Monitoring 2015-07-17 00:18:33 UTC
Created attachment 1052891 [details]
[patch] Update to 2.2.5 (#1059671)

Comment 26 Upstream Release Monitoring 2015-07-17 00:22:38 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10384392

Comment 27 Account closed by the user 2015-07-17 08:47:41 UTC
(In reply to Upstream Release Monitoring from comment #24)

> Latest upstream release: 2.2.5
> Current version/release in rawhide: 2.2.1-2.fc23

History of USB_ModeSwitch
=========================

Version 2.2.5, 2015/07/16
    Fixed bug in configuration check, possibly leading to segfault (thanks,
    Leonid Lisovskiy); fixed Pantech commandline parameter evaluation (was
    not working at all); added driver unbind step via sysfs in wrapper,
    getting rid of the USB subsystem complaint "interface 0 claimed by
    usb-storage while 'usb_modeswitch' <does this and that>"
Version 2.2.4, 2015/07/14
    Fixed buggy check of USB configuration selection (possibly leading
    to segfault), tested with Alcatel X602D; removed call to 'libusb_strerror'
    from libusb initialization - not available in earlier libusb1 versions
Version 2.2.3, 2015/06/29
    Fixed problem arising with systemd version 221 (220 untested), which
    affects starting the usb_modeswitch systemd unit from the sh script
    (reported by Archlinux users)
Version 2.2.2, 2015/06/27
    Added catch for libusb init error (thanks, Henrik Gustafsson); removed
    global function result variable; added catch for USB configuration
    read error (both thanks to "otila"); fixed wrapper script where port
    search for symlinking modem port was broken ("/dev/gsmmodem"); changed
    PantechMode parameter to represent different targets; added global
    config option to disable MBIM checking and setting alltogether (request
    from "kai"); changed udev sh script so that systemd processing takes
    precedence over upstart; changed systemd template unit parameter to
    avoid escaping problems
Version 2.2.1, 2015/01/15
    [...]

Comment 28 Upstream Release Monitoring 2015-08-18 13:38:18 UTC
lkundrak's usb_modeswitch-2.2.5-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=678189

Comment 29 Upstream Release Monitoring 2015-11-02 00:21:11 UTC
Latest upstream release: 2.2.6
Current version/release in rawhide: 2.2.5-1.fc24
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 30 Upstream Release Monitoring 2015-11-02 00:21:32 UTC
Created attachment 1088429 [details]
[patch] Update to 2.2.6 (#1059671)

Comment 31 Upstream Release Monitoring 2015-11-02 00:27:42 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11667768

Comment 32 Account closed by the user 2015-11-02 08:54:23 UTC
(In reply to Upstream Release Monitoring from comment #29)

> Latest upstream release: 2.2.6
> Current version/release in rawhide: 2.2.5-1.fc24
> URL: http://www.draisberghof.de/usb_modeswitch/

Version 2.2.6, 2015/11/01
    Renamed function abort(), avoiding possible conflicts in static builds
    with libjim (thanks, Gustavo Zacharias); removed storage class check of
    interface 0 from dispatcher, enabling new multi-config devices in data
    package 20151101

Comment 33 Account closed by the user 2015-11-02 13:40:22 UTC
usb_modeswitch-data was updated recently. Could you please update this twin package ?

-thanks-

Comment 34 Upstream Release Monitoring 2016-01-13 12:17:40 UTC
Latest upstream release: 2.3.0
Current version/release in rawhide: 2.2.5-1.fc24
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 35 Upstream Release Monitoring 2016-01-13 12:18:02 UTC
Created attachment 1114392 [details]
[patch] Update to 2.3.0 (#1059671)

Comment 36 Upstream Release Monitoring 2016-01-13 12:23:57 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12532008

Comment 37 Account closed by the user 2016-01-13 15:31:44 UTC
(In reply to Upstream Release Monitoring from comment #34)

> Latest upstream release: 2.3.0
> Current version/release in rawhide: 2.2.5-1.fc24
> URL: http://www.draisberghof.de/usb_modeswitch/

History of USB_ModeSwitch
=========================

Version 2.3.0, 2016/01/12
    ATTENTION: -I flag is now history and being ignored - determining SCSI
    attributes is really an 'outside task'; -n flag (NeedResponse) is being
    ignored, CSW response will now always be read; introduction of parameter
    "OptionMode", wrapping the standard bulk message for all newer Huawei
    devices; fixed missing variable initialization in dispatcher script which
    could lead to crash (thanks, Dmitry Kunilov!); fixed bug which prevented
    early logging; fixed success report for Cisco AM10; some source code
    formatting and clean-up

Version 2.2.6, 2015/11/01
    Renamed function abort(), avoiding possible conflicts in static builds
    with libjim (thanks, Gustavo Zacharias); removed storage class check of
    interface 0 from dispatcher, enabling new multi-config devices in data
    package 20151101

Comment 38 Account closed by the user 2016-03-09 10:40:38 UTC
ping!

Comment 39 poma 2016-03-22 00:24:46 UTC
*** Bug 1319931 has been marked as a duplicate of this bug. ***

Comment 40 Upstream Release Monitoring 2016-05-03 12:43:34 UTC
lkundrak's usb_modeswitch-2.3.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=759709

Comment 41 Fedora Update System 2016-05-03 15:44:04 UTC
ModemManager-1.6-0.3.rc3.fc24 libqmi-1.14.2-1.fc24 usb_modeswitch-2.3.0-1.fc24 usb_modeswitch-data-20160112-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef8a5a9a8c

Comment 42 Fedora Update System 2016-05-03 15:44:12 UTC
ModemManager-1.6-0.3.rc3.fc24 libqmi-1.14.2-1.fc24 usb_modeswitch-2.3.0-1.fc24 usb_modeswitch-data-20160112-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef8a5a9a8c

Comment 43 Fedora Update System 2016-05-04 14:30:25 UTC
ModemManager-1.6-0.3.rc3.fc24, libqmi-1.14.2-1.fc24, usb_modeswitch-2.3.0-1.fc24, usb_modeswitch-data-20160112-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef8a5a9a8c

Comment 44 Fedora Update System 2016-05-07 11:39:57 UTC
ModemManager-1.6-0.3.rc3.fc24, libqmi-1.14.2-1.fc24, usb_modeswitch-2.3.0-1.fc24, usb_modeswitch-data-20160112-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.